
include_recipe "#{cookbook_name}::ppas"
include_recipe "php::default"

%w(cgi cli fpm).each do |sapi|
  link "#{node[:php][:conf_dir]}/#{sapi}/php.ini" do
    to "#{node[:php][:conf_dir]}/php.ini"
    only_if do
      ::Dir.exists? "#{node[:php][:conf_dir]}/#{sapi}"
    end
  end
end

node[:php][:pear_packages].each do |name, hash|
  php_pear name do
    hash.each do |key, value|
      send(key, value) if respond_to?(key)
    end
  end
end

