
provides :git_deploy
resource_name :git_deploy

actions :deploy
default_action :deploy

# application shortname
#
attribute :name,
  kind_of: String,
  name_attribute: true

# application deployment path
#
attribute :destination,
  kind_of: String,
  required: true

# git repository url
#
attribute :repository,
  kind_of: String,
  required: true

# git revision
#
attribute :revision,
  kind_of: String,
  default: 'master'

# file owner
#
attribute :user,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

# file group
#
attribute :group,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

attribute :ssh_wrapper,
  kind_of: String

