
provides :git_status
resource_name :git_status

actions :sync
default_action :sync

# application deployment path
#
attribute :destination,
  kind_of: String,
  name_attribute: true

# git repository url
#
attribute :repository,
  kind_of: String,
  required: true

# git revision
#
attribute :revision,
  kind_of: String,
  default: 'master'

# file owner
#
attribute :user,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

# file group
#
attribute :group,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

# ssh wrapper
#
attribute :ssh_wrapper,
  kind_of: String

