# php_wrapper-cookbook

Wrappers the opscode/php package so as to improve upon the php.ini configuration and provide better php fpm support. In addition, we provide a few extra goodies.

## Supported Platforms

Ubuntu 14.04+ :P

## Attributes
|Key|Type|Description|Default|
|---|---|---|---|---|
|php.pear_packages|Hash|LWRP generator{php_pear_package:{config}|{}|
|php.fpm_poos|Hash|LWRP generator{php_pool:{config}|{}|
|php.directives|Hash|select php.ini directives|attributes.default|
|php.directives.custom|Hash|any additionnal php.ini directives|attributes.default|
|php.composer|Hash|php composer install directives|attributes.composer|

## Usage

### php_wrapper::default

Includes `php::default` to install PHP either by *package* or by source. Additionally loops over `php.pear_packages` in order to populate `php_pear_packages` resources.

### php_wrapper::fpm

Installs php-fpm, updates the upstart service for improvide reload, and loops through `php.fpm_pools` in order to populate `php_pool` resources.

### php_wrapper::composer

Installs php composer globally

## License and Authors

Author:: Lightspeed (<jonathan@lightspeedpos.com>)
