
#
# php-fpm config
#
default[:php][:fpm_pools] = {
  default: {
    listen: "127.0.0.1:65500",
    user: node[:php][:fpm_user],
    group: node[:php][:fpm_group],
    process_manager: "ondemand",
    max_children: 1,
    start_servers: 1,
    min_spare_servers: 1,
    max_spare_servers: 1,
    action: :create
  }
}

default[:php][:fpm_service_conf] = "/etc/php5/fpm/php-fpm.conf"
default[:php][:fpm_pid] = "/var/run/php-fpm.pid"
default[:php][:fpm_error_log] = "/var/log/php5-fpm.log"
default[:php][:fpm_log_level] = "warning"
default[:php][:fpm_restart_threshold] = 0
default[:php][:fpm_restart_interval] = -
default[:php][:fpm_control_timeout] = 0

