
provides :php_app_config

# Support dry-run
#
def why_run_supported?; true; end

# Nested resources
#
use_inline_resources

action :create do
  template_resource.action(:create)
end

action :delete do
  template_resource.action(:delete)
end

private

def template_resource
  @template_resource ||= template config_path do
    owner new_resource.owner
    group new_resource.group
    mode  0644
    cookbook  new_resource.cookbook
    source    new_resource.source
    variables new_resource.variables
    action :nothing
  end
end

def config_path
  if new_resource.path[0] == "/"
  then new_resource.path
  else ::File.join(new_resource.root, new_resource.path)
  end
end

