
def whyrun_supported?
  true
end

provides :php_composer
use_inline_resources

action :install do
  new_resource = @new_resource

  unless ::File.directory?(new_resource.deploy_to)
    Chef::Application.fatal! "#{new_resource.deploy_to} is not a directory", 1
  end

  unless ::File.exist?(node[:php][:composer][:command])
    Chef::Application.fatal! "composer is not installed", 1
  end

  execute "composer #{new_resource.name}" do
    cwd new_resource.deploy_to
    command "#{node[:php][:composer][:command]} #{new_resource.args.join(" ")}"
  end
end

