
provides :git_credentials
resource_name :git_credentials

actions :install, :delete
default_action :install

# short name for the application
#
attribute :name,
  kind_of: String,
  name_attribute: true

# file owner
#
attribute :user,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

# file group
#
attribute :group,
  kind_of: String,
  default: lazy { node[:php][:fpm_user] }

# ssh key
#
def ssh_key(arg=nil)
  if arg
    arg = ApplicationSecureString.new(arg)
  end
  set_or_return :ssh_key, arg, type: String, required: true
end

